/*
* anonymoX client
* 	for Firefox
* 
* Author 	Nils Hügelmann	<nils@anonymox.net>
* Author 	Florian Prott	<florian@anonymox.net>
* Author 	Christian Otto	<chris@anonymox.net>
*
* www.anonymox.net
* 
* License: CC BY-NC-ND 3.0, see LICENSE.TXT or http://creativecommons.org/licenses/by-nc-nd/3.0/
* 
* Use at your own risk
* 
* This is the released, uncommented version of the code.
*/


"use strict";

var anonymox = {};

Components.utils.import("resource://anonymox/components.jsm", anonymox);

function toggleUsageCollection() {
	anonymox.prefs.setIntPref('usagecollection', document.getElementById("anonymox-usageCollectionBox").checked ? 1 : 0 );
}

window.addEventListener("load", function(e) {
	
	document.getElementById("anonymox-usageCollectionBox").checked = anonymox.prefs.getIntPref("usagecollection", 0) == 1;
	
	updatePremiumStatus();
	
	populateNotificationSettingsList();

	
	if (!anonymox.browserapi.australis) {
		anonymox.utils.setElementVisibility(document.getElementById("anonymox-displayInStatusBarBox"), true);
	}
}, false);

function activatePremium() {
	anonymox.core.activatePremium(document.getElementById("anonymox-activatePremium_code").value, updatePremiumStatus);
}

function updatePremiumStatus() {
	document.getElementById("anonymox-activatePremiumCodeBox1").setAttribute("hidden", (true == anonymox.core.isPremiumAccount));
	document.getElementById("anonymox-activatePremiumCodeBox2").setAttribute("hidden", !(true == anonymox.core.isPremiumAccount));
}

function populateNotificationSettingsList() {
	let info = new anonymox.Info("prefs.xul.populateNotificationSettingsList");
	
	let notificationPreferences = document.getElementById("anonymox-notificationPreferences");
	let notificationList = document.getElementById("anonymox-notificationList");
	
	for ( let i = 0, pref; pref = notificationPreferences.children[i]; i++ ) {
		let prefShortName = pref.name.replace("extensions.anonymox.showNotifications.", "");
		let prefLocalPath = "showNotifications." + prefShortName;
		try {
			let checkBox = document.createElement("checkbox");
			checkBox.setAttribute("preference", pref.id);
			checkBox.setAttribute("label", anonymox.utils.localize(prefShortName + ".pref"));
			checkBox.setAttribute("checked", anonymox.prefs.getBoolPref(prefLocalPath));
			notificationList.appendChild(checkBox);
		} catch(e) {
			info.debug(prefLocalPath);
		}
	}
}

function usageCollectionInfo() {
	anonymox.browserapi.openURI(anonymox.config.usageCollectionInfo, 0);
}
